summary.clara {cluster} | R Documentation

## Summary Method for ‘clara’ Objects

### Description

Returns (and prints) a summary list for a `clara` object. Printing gives more output than the corresponding `print.clara` method.

### Usage

    ## S3 method for class 'clara'
    summary(object, ...)
    ## S3 method for class 'summary.clara'
    print(x, ...)

### Arguments

`x, object` | a `clara` object.
`...` | potential further arguments (require by generic).

### See Also

`clara.object`

### Examples

    ## generate 2000 objects, divided into 5 clusters.
    set.seed(47)
    x <- rbind(cbind(rnorm(400, 0,4), rnorm(400, 0,4)),
               cbind(rnorm(400,10,8), rnorm(400,40,6)),
               cbind(rnorm(400,30,4), rnorm(400, 0,4)),
               cbind(rnorm(400,40,4), rnorm(400,20,2)),
               cbind(rnorm(400,50,4), rnorm(400,50,4))
    )
    clx5 <- clara(x, 5)
    ## Mis`classification' table:

    table(rep(1:5, rep(400,5)), clx5$clust) # -> 1 "error"
    summary(clx5)

    ## Graphically:
    par(mfrow = c(3,1), mgp = c(1.5, 0.6, 0), mar = par("mar") - c(0,0,2,0))

    plot(x, col = rep(2:6, rep(400,5)))
    plot(clx5)

[Package cluster version 1.14.3 Index]